Bug 520320 - Revert anacron to previous role
Summary: Revert anacron to previous role
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anacron
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-30 15:48 UTC by Steve Schaeffer
Modified: 2009-09-10 07:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-08 08:53:47 UTC


Attachments (Terms of Use)

Description Steve Schaeffer 2009-08-30 15:48:09 UTC
Description of problem:
Anacron used to be a helpful tool to recover missed cron jobs. In F11 anacron has rendered cron impotent and obfuscated what previously was a very useful utility. For example, I was trying to find which day-of-the-week /etc/cron.weekly jobs are schedule to run and I'm not able to ascertain this information. Also the fact that /etc/crontab is now empty is confusing.

In my view this issue is a substantial black eye for Fedora will nudge me in the direction of another distro if it persists.

Please restore the prior separation of roles between cron and anacron, but keep the newly added capability to restrict anacron to selectable hours of job initiation.

Comment 1 Tomas Mraz 2009-09-08 08:53:47 UTC
Nope, that is not a good idea.

The next weekly jobs will run 7 days after the timestamp stored in /var/spool/anacron/cron.weekly.

I can imagine adding an option to anacron that will show dates when will the jobs configured in the anacrontab run.

Then you can use anacron -f or anacron -u to move the timestamp to the current date.

Comment 2 Tomas Mraz 2009-09-08 08:57:15 UTC
Also here is another feature possible - add @mondays @tuesdays etc. You could then change anacrontab to run the weekly jobs only on this specified day of the week.

Comment 3 Steve Schaeffer 2009-09-08 23:59:12 UTC
Why is it not a good idea? Can you point to some agreed upon strategy document? As I said, this function is moving backward in usability and clarity.

Comment 4 Tomas Mraz 2009-09-09 09:40:01 UTC
There is no official strategy document. It was just agreed upon by cronie maintainers. The previous way of integrating anacron & cron was extremely bug prone. We will not change it back. If you have concrete useful features which were lost with this change please report them as separate bug reports.

Comment 5 Steve Schaeffer 2009-09-10 00:22:27 UTC
Alright, so I want to have my weekly jobs run at 0100 on Sunday morning. Furthermore, if they were missed because the system was down, I want them to run at the first opportunity, but between the hours of 1800 and 0600 only. The next Sunday I want them to run at the appointed time of 0100 again. Just how do I go about this with the current system?

Comment 6 Tomas Mraz 2009-09-10 07:45:02 UTC
This could be accomplished with the @sundays directive in anacrontab if it was implemented in such way, that the job is run on the next Sunday and if the timestamp of the job is older than 7 days it is run immediately (of course with the configured delays, random delay, and hour range respected).

However your usecase was not really bug-freely implemented in the previous anacron/crond setup anyway. There were always problems with lost or duplicate jobs in some circumstances like suspending/hibernating system, timezone changes etc.


Note You need to log in before you can comment on or make changes to this bug.